# Nuance Communications SDK for React Native

Nuance Communications SDK module for React Native. It lets developers embed
voice recognition into React Native apps for iOS (since the Android platform
has native services).

## Example


## Getting started
### iOS
1. Make sure you have "React Native" project created with `react-native init`
2. `cd` into a project directory where `package.json` file is located.
3. Run `npm install react-native-nuance@latest --save`
4. Start XCode and open project with it.
5. Go get yourself a free Nuance Developer account over at https://developer.nuance.com/public/index.php?task=home
6. Download the Nuance SDK
7. Download the SpeechKit.framework.
8. Drag the SpeechKit.framework to the Frameworks group of your Xcode project.
9. Set the following value under your Xcode project (unless you are using C++ in your application already).
  Build Settings tab => Linking => Other Linker Flags => -l"c++"

5. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
6. Go to `node_modules` ➜ `react-native-nuance/ios` and add `Nuance.xcodeproj`
7. Run your project (`Cmd+R`)

### Android
Not supported. Go visit the kind folks over at (react-native-android-voice)[https://www.npmjs.com/package/react-native-android-voice]

## Usage
`import` the `react-native-nuance` module:

    import NuanceManager from "react-native-nuance";

Add event listeners using `DeviceEventEmitter`:

    DeviceEventEmitter.addListener(
        'ConnectionSuccessful',
        () => {
            console.log('Connection successful');
        }
    );

Connect the SDK to the cloud:

    NuanceManager.connect();   
    
